# ksu – Kerberos substitute user

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the ksu utility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_exe - | Default: "ksu" | ini entries: [privilege_escalation] become_exe = ksu [ksu_become_plugin] executable = ksu env:ANSIBLE_BECOME_EXE env:ANSIBLE_KSU_EXE var: ansible_become_exe var: ansible_ksu_exe | Su executable
become_flags - | Default: "" | ini entries: [privilege_escalation] become_flags = [ksu_become_plugin] flags = env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_KSU_FLAGS var: ansible_become_flags var: ansible_ksu_flags | Options to pass to ksu
become_pass - |  | ini entries: [ksu_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_KSU_PASS var: ansible_ksu_pass var: ansible_become_pass var: ansible_become_password | ksu password
become_user - / required |  | ini entries: [privilege_escalation] become_user = VALUE [ksu_become_plugin] user = VALUE env:ANSIBLE_BECOME_USER env:ANSIBLE_KSU_USER var: ansible_become_user var: ansible_ksu_user | User you 'become' to execute the task
prompt_l10n - | Default: [] | ini entries: [ksu_become_plugin] localized_prompts = [] env:ANSIBLE_KSU_PROMPT_L10N var: ansible_ksu_prompt_l10n | List of localized strings to match for prompt detection If empty we'll use the built in one

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]
- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.